%define name    php5-snmp
%define version 5.0.2
%define release 1mdk

%define modname snmp
%define dirname %{modname}
%define soname %{modname}.so
%define inifile 50_%{modname}.ini

Summary:	NET-SNMP extension module for PHP
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
URL:		http://www.php.net
License:	PHP License
BuildRequires:  php5-devel
BuildRequires:	net-snmp-devel >= 5.1
BuildRequires:	openssl-devel
BuildRequires:	elfutils-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
This is a dynamic shared object (DSO) for PHP that will add SNMP
support using the NET-SNMP libraries.

%prep

%setup -c -T
cp -dpR %{_usrsrc}/php5-devel/extensions/%{dirname}/* .

%build

php5ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix} \
    --enable-ucd-snmp-hack \
    --with-openssl

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php5/extensions
install -d %{buildroot}%{_sysconfdir}/php5.d

install -m755 %{soname} %{buildroot}%{_libdir}/php5/extensions/

cat > %{buildroot}%{_sysconfdir}/php5.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php5.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php5/extensions/%{soname}

%changelog
* Fri Sep 24 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.2-1mdk
- rebuilt for php-5.0.2

* Sat Aug 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.1-1mdk
- rebuilt for php-5.0.1

* Tue Aug 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 5.0.0-1mdk
- rebuilt for php-5.0.0
- major cleanups

* Wed Jul 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.8-1mdk
- rebuilt for php-4.3.8

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-2mdk
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7-1mdk
- rebuilt for php-4.3.7

* Sun May 23 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-2mdk
- use the %%configure2_5x macro
- move scandir to /etc/php5.d

* Wed May 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.6-1mdk
- fix invalid-build-requires
- built for php 4.3.6

* Fri Nov 28 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4-3mdk
- rebuilt against new net-snmp libs

* Sun Nov 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4-2mdk
- rebuilt against new net-snmp libs

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4-1mdk
- built for php 4.3.4

* Wed Aug 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.3-1mdk
- built for php 4.3.3
- misc spec file fixes

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.2-1mdk
- built for 4.3.2
- removed the patch, it's included upstream

* Tue Apr 29 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1-2mdk
- fix buildrequires, thanks to Stefan van der Eijks robot

* Wed Feb 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.1-1mdk
- rebuilt against php-4.3.1

* Fri Feb 14 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-4mdk
- testing fix for "Call to undefined function: snmpset()" as
  discussed on the cooker list:
  http://archives.mandrakelinux.com/cooker/2003-01/msg01420.php

* Sun Jan 19 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-3mdk
- really rebuilt against rebuilt buildrequires

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-2mdk
- rebuilt against rebuilt buildrequires

* Fri Jan 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.0-1mdk
- built against php-4.3.0
- follow the spec file design as in main
- built against net-snmp-5.0.6

* Sat Sep  7 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.3-1mdk
- 4.2.3 maintenance release
- Do not reload apache

* Thu Aug 22 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.2.2-1mdk
- Rebuild for 4.2.2
- Macroize a bit more, make version depend on "php -v"

* Mon May 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.1-3mdk
- rebuilt against php-4.2.1 this time (klama is wierd...)
- added Requires: php-common

* Mon May 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.2.1-2mdk
- misc spec file fixes

* Tue May 21 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.1-1mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>
	- misc spec file fixes
	- PHP 4.2.1

* Mon Apr 29 2002 Christian Belisle <cbelisle@mandrakesoft.com> 4.2.0-1mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>:
	- misc spec file fixes
	- initial cooker contrib
	- PHP 4.2.0
